SQLRU.net
Разработка приложений баз данных

Начало » Использование СУБД » Firebird, HQbird, InterBase » fb3.0 -> 2.5: found 11.2, support 12.2. (Почему 12.2, не 12.0 ? )
fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #624] Thu, 22 September 2022 02:32 Переход к следующему сообщению
МорскойДесант в настоящее время не в онлайне  МорскойДесант
Сообщений: 41
Зарегистрирован: September 2022
Member
Коннекчусь (например, IBExpert) сервером fb 3.0 к файлы базы fb 2.5, получаю отлуп: unsupported on-disk structure for file; found 11.2, support 12.2.

Вопрос: почему пишет, что "support 12.2", ведь fb3.0 это ODS 12.0 ?

При коннекте к файлу базы fb 3.0 всё ОК, хотя ODS не 12.2, а всего лишь 12.0... Smile
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #627 является ответом на сообщение #624] Thu, 22 September 2022 12:28 Переход к предыдущему сообщениюПереход к следующему сообщению
МорскойДесант в настоящее время не в онлайне  МорскойДесант
Сообщений: 41
Зарегистрирован: September 2022
Member
В RN к fb 3.0.4 сказано, что для Wundows и Linux(32) остаётся ODS 12.0.

Имхо, сообщение "found 11.2, support 12.2" под тоже должно формироваться соответствующее ("12.0"), а не вводить в смущение. Rolling Eyes
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #629 является ответом на сообщение #627] Thu, 22 September 2022 14:15 Переход к предыдущему сообщениюПереход к следующему сообщению
sim_84 в настоящее время не в онлайне  sim_84
Сообщений: 84
Зарегистрирован: June 2022
Member
Может сначала стоило обновиться до 3.0.10?

Насколько я помню одно время в минорной версии тройки, повысили минорный номер ODS, после исправления несовместимости файлов БД созданных под Linux x86, с файлами БД созданных в других ОС и архитектурах, но потом это отменили.
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #630 является ответом на сообщение #629] Thu, 22 September 2022 16:22 Переход к предыдущему сообщениюПереход к следующему сообщению
МорскойДесант в настоящее время не в онлайне  МорскойДесант
Сообщений: 41
Зарегистрирован: September 2022
Member
sim_84 писал(а) Thu, 22 September 2022 14:15
Может сначала стоило обновиться до 3.0.10?
...
Другой версии я и не использовал:
/index.php/fa/16/0/


[Обновления: Thu, 22 September 2022 16:22]

Известить модератора

Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #631 является ответом на сообщение #630] Thu, 22 September 2022 16:54 Переход к предыдущему сообщениюПереход к следующему сообщению
sim_84 в настоящее время не в онлайне  sim_84
Сообщений: 84
Зарегистрирован: June 2022
Member
Значит номер ODS назад вернули, а сообщение об ошибки поправить забыли. Пиши в трекер.
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #632 является ответом на сообщение #624] Thu, 22 September 2022 23:21 Переход к предыдущему сообщениюПереход к следующему сообщению
hvlad в настоящее время не в онлайне  hvlad
Сообщений: 44
Зарегистрирован: August 2022
Member
МорскойДесант писал(а) Thu, 22 September 2022 02:32
Коннекчусь (например, IBExpert) сервером fb 3.0 к файлы базы fb 2.5, получаю отлуп: unsupported on-disk structure for file; found 11.2, support 12.2.

Вопрос: почему пишет, что "support 12.2", ведь fb3.0 это ODS 12.0 ?

При коннекте к файлу базы fb 3.0 всё ОК, хотя ODS не 12.2, а всего лишь 12.0... Smile
Пишет- значит поддерживает. В чём проблема ?
В том, что ты не знаешь что такое ODS 12.2 ?

// Minor versions for ODS 12

const USHORT ODS_CURRENT12_0	= 0;	// Firebird 3.0 features
const USHORT ODS_CURRENT12_1	= 1;	// Skipped due to Avalerion's blunder
const USHORT ODS_CURRENT12_2	= 2;	// Fix for generator page for linux/x86
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #633 является ответом на сообщение #632] Fri, 23 September 2022 10:10 Переход к предыдущему сообщениюПереход к следующему сообщению
МорскойДесант в настоящее время не в онлайне  МорскойДесант
Сообщений: 41
Зарегистрирован: September 2022
Member
hvlad писал(а) Thu, 22 September 2022 23:21
Пишет- значит поддерживает. В чём проблема ?
В том, что ты не знаешь что такое ODS 12.2 ?
В том, что идиотизм.
Надо полагать, что там, где "по умолчанию" ODS 12.2, в сообщении указывается, что "поддерживается 12.0"? Ну, чтобы не разрушать хрусталь идиотской логики. Поддерживается же.
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #634 является ответом на сообщение #633] Fri, 23 September 2022 10:20 Переход к предыдущему сообщениюПереход к следующему сообщению
hvlad в настоящее время не в онлайне  hvlad
Сообщений: 44
Зарегистрирован: August 2022
Member
Идиотизм - это когда ты не понимаешь чего-то, но вместо того чтобы подумать или просто спросить - учишь других как надо.
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #635 является ответом на сообщение #634] Fri, 23 September 2022 10:30 Переход к предыдущему сообщениюПереход к следующему сообщению
МорскойДесант в настоящее время не в онлайне  МорскойДесант
Сообщений: 41
Зарегистрирован: September 2022
Member
hvlad писал(а) Fri, 23 September 2022 10:20
Идиотизм - это когда ты не понимаешь чего-то, но вместо того чтобы подумать или просто спросить - учишь других как надо.
Я не лечу мозговые вывихи, в общем-то плевать.
Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #710 является ответом на сообщение #635] Fri, 30 September 2022 03:43 Переход к предыдущему сообщениюПереход к следующему сообщению
kdv в настоящее время не в онлайне  kdv
Сообщений: 36
Зарегистрирован: June 2022
Member
МорскойДесант писал(а) Fri, 23 September 2022 10:30

Я не лечу мозговые вывихи, в общем-то плевать.
блин, ну прочитайте вы уже еще раз
https://www.ibase.ru/prevver/
Сервер сообщает о ПОДДЕРЖИВАЕМОЙ версии ODS. Если это 12.2, значит это 12.2, и только в этой версии он может СОЗДАТЬ базу.
Он не может писать "support 12.x" если он уже содержит код, работающий с 12.2.
Он может при коннекте к БД сделать апгрейд 12.0 до 12.2, или что-то в этом роде, без вашего желания, например.
Если вам НЕ надо 12.2, используйте предыдущие версии, которые не знают про 12.2, а знают про 12.1 или 12.0.

Re: fb3.0 -> 2.5: found 11.2, support 12.2. [сообщение #717 является ответом на сообщение #710] Fri, 30 September 2022 23:02 Переход к предыдущему сообщению
МорскойДесант в настоящее время не в онлайне  МорскойДесант
Сообщений: 41
Зарегистрирован: September 2022
Member
kdv писал(а) Fri, 30 September 2022 03:43
МорскойДесант писал(а) Fri, 23 September 2022 10:30

Я не лечу мозговые вывихи, в общем-то плевать.
блин, ну прочитайте вы уже еще раз
https://www.ibase.ru/prevver/
Сервер сообщает о ПОДДЕРЖИВАЕМОЙ версии ODS. Если это 12.2, значит это 12.2, и только в этой версии он может СОЗДАТЬ базу.
Он не может писать "support 12.x" если он уже содержит код, работающий с 12.2.
Он может при коннекте к БД сделать апгрейд 12.0 до 12.2, или что-то в этом роде, без вашего желания, например.
Если вам НЕ надо 12.2, используйте предыдущие версии, которые не знают про 12.2, а знают про 12.1 или 12.0.

Два блина, ага. Глазыньки разуй, выше всё расписано.

Сервер fb 3.10.33601 СОЗДАЕТ базу в 12.0. Но пишет, что поддерживает 12.2.
Ну давай я за тебя перепроверю.
Качаем: https://github.com/FirebirdSQL/firebird/releases/download/v3 .0.10/Firebird-3.0.10.33601-0_x64.zip - распаковываем, настраиваем, запускам.
Создаем базу, проверяем:
/index.php/fa/20/0/
Не верим глазам своим, смотрим в hex редакторе:
/index.php/fa/21/0/
ODS = 12.0.
...
Теперь пробуем коннектиться к файлу базы, например, созданному в FB 2.5 => получаем отлуп с текстом насчет 12.2:
/index.php/fa/22/0/

  • Вложение: 30_12.png
    (Размер: 5.42KB, Загружено 171 раз)
  • Вложение: 2_20.png
    (Размер: 12.98KB, Загружено 164 раза)
  • Вложение: 1_30.png
    (Размер: 17.03KB, Загружено 165 раз)
Предыдущая тема: Глюки Firebird4 ?
Следующая тема: SQL Create Объект
Переход к форуму:
  


Текущее время: Sun Dec 04 01:34:15 MSK 2022

Общее время, затраченное на создание страницы: 0.01311 секунд